/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef IVMOB_PRINT_H
#define IVMOB_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/ivmobPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_IVMOB_STATUS_POSTER_STR ( buf_t buf, struct IVMOB_STATUS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_IVMOB_REF_POSTER_STR ( buf_t buf, struct IVMOB_REF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_IVMOB_ODO_POSTER_STR ( buf_t buf, struct IVMOB_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_IVMOB_MEPOS_POSTER_STR ( buf_t buf, struct IVMOB_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_IVMOB_STR ( buf_t buf, struct IVMOB_STR *x, int nDim, int *dims);
void buf_add_struct_IVMOB_MAX_ACCEL ( buf_t buf, struct IVMOB_MAX_ACCEL *x, int nDim, int *dims);
void buf_add_struct_IVMOB_GYRO_ASSERV ( buf_t buf, struct IVMOB_GYRO_ASSERV *x, int nDim, int *dims);
void buf_add_struct_IVMOB_GYRO ( buf_t buf, struct IVMOB_GYRO *x, int nDim, int *dims);
void buf_add_struct_IVMOB_GYRO_PARAMS ( buf_t buf, struct IVMOB_GYRO_PARAMS *x, int nDim, int *dims);
void buf_add_enum_IVMOB_GYRO_MODE ( buf_t buf, enum IVMOB_GYRO_MODE *x, int nDim, int *dims);
void buf_add_struct_IVMOB_ODOMETRY_METHOD ( buf_t buf, struct IVMOB_ODOMETRY_METHOD *x, int nDim, int *dims);
void buf_add_enum_IVMOB_ODOMETRY_MODE ( buf_t buf, enum IVMOB_ODOMETRY_MODE *x, int nDim, int *dims);
void buf_add_struct_IVMOB_CART_3DCONFIG ( buf_t buf, struct IVMOB_CART_3DCONFIG *x, int nDim, int *dims);
void buf_add_struct_IVMOB_CART_3DSTATE ( buf_t buf, struct IVMOB_CART_3DSTATE *x, int nDim, int *dims);
void buf_add_struct_IVMOB_TRACK_PARAMS ( buf_t buf, struct IVMOB_TRACK_PARAMS *x, int nDim, int *dims);
void buf_add_struct_IVMOB_VAR_PARAMS ( buf_t buf, struct IVMOB_VAR_PARAMS *x, int nDim, int *dims);
void buf_add_struct_IVMOB_DYNAMIC_STR ( buf_t buf, struct IVMOB_DYNAMIC_STR *x, int nDim, int *dims);
void buf_add_struct_IVMOB_KINEMATICS_STR ( buf_t buf, struct IVMOB_KINEMATICS_STR *x, int nDim, int *dims);
void buf_add_struct_IVMOB_STATUS_STR ( buf_t buf, struct IVMOB_STATUS_STR *x, int nDim, int *dims);
void buf_add_enum_IVMOB_MODE ( buf_t buf, enum IVMOB_MODE *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_IVMOB_MODE ( buf_t buf, IVMOB_MODE *x, int nDim, int *dims);
void buf_add_IVMOB_STATUS_STR ( buf_t buf, IVMOB_STATUS_STR *x, int nDim, int *dims);
void buf_add_IVMOB_KINEMATICS_STR ( buf_t buf, IVMOB_KINEMATICS_STR *x, int nDim, int *dims);
void buf_add_IVMOB_DYNAMIC_STR ( buf_t buf, IVMOB_DYNAMIC_STR *x, int nDim, int *dims);
void buf_add_IVMOB_VAR_PARAMS ( buf_t buf, IVMOB_VAR_PARAMS *x, int nDim, int *dims);
void buf_add_IVMOB_TRACK_PARAMS ( buf_t buf, IVMOB_TRACK_PARAMS *x, int nDim, int *dims);
void buf_add_IVMOB_CART_3DSTATE ( buf_t buf, IVMOB_CART_3DSTATE *x, int nDim, int *dims);
void buf_add_IVMOB_CART_3DCONFIG ( buf_t buf, IVMOB_CART_3DCONFIG *x, int nDim, int *dims);
void buf_add_IVMOB_ODOMETRY_MODE ( buf_t buf, IVMOB_ODOMETRY_MODE *x, int nDim, int *dims);
void buf_add_IVMOB_ODOMETRY_METHOD ( buf_t buf, IVMOB_ODOMETRY_METHOD *x, int nDim, int *dims);
void buf_add_IVMOB_GYRO_MODE ( buf_t buf, IVMOB_GYRO_MODE *x, int nDim, int *dims);
void buf_add_IVMOB_GYRO_PARAMS ( buf_t buf, IVMOB_GYRO_PARAMS *x, int nDim, int *dims);
void buf_add_IVMOB_GYRO ( buf_t buf, IVMOB_GYRO *x, int nDim, int *dims);
void buf_add_IVMOB_GYRO_ASSERV ( buf_t buf, IVMOB_GYRO_ASSERV *x, int nDim, int *dims);
void buf_add_IVMOB_MAX_ACCEL ( buf_t buf, IVMOB_MAX_ACCEL *x, int nDim, int *dims);
void buf_add_IVMOB_STR ( buf_t buf, IVMOB_STR *x, int nDim, int *dims);
void buf_add_IVMOB_MEPOS_POSTER_STR ( buf_t buf, IVMOB_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_IVMOB_ODO_POSTER_STR ( buf_t buf, IVMOB_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_IVMOB_REF_POSTER_STR ( buf_t buf, IVMOB_REF_POSTER_STR *x, int nDim, int *dims);
void buf_add_IVMOB_STATUS_POSTER_STR ( buf_t buf, IVMOB_STATUS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* IVMOB_TCLSERV_CLIENT_ENCODE_H */

